
@echo off

CLS

ECHO ------ Initialisation. ------
ECHO.

COLOR 17
TITLE Initialisation

DATE /T
TIME /T

ECHO *** Variable. ***
ECHO.

SET CurrentDrive=%~d0
SET CurrentPath=%~dp0
SET LOGPath=%CurrentPath%LOG
SET errmsg=Probleme(s) inattendu...

ECHO *** Sauvegarde des anciens fichiers de log. ***
ECHO.

ATTRIB %LOGPath%\*.* -S -H -R 1>NUL 2>NUL
DEL %LOGPath%\*.BAK 1>NUL 2>NUL
REN %LOGPath%\*.* *.BAK 1>NUL 2>NUL
ECHO Test ecriture...>> %LOGPath%\test 2>NUL
IF NOT EXIST "%LOGPath%\test" SET errmsg=Le dossier \LOG pose probleme & GOTO ERROR
DEL %LOGPath%\test 2>NUL

SET LogFile=%LOGPath%\Output.txt

ECHO *** Nouveau fichier de log. ***
ECHO.

ECHO. >> %LogFile% 2>>&1
ECHO.
ECHO ############################ >> %LogFile% 2>>&1
ECHO ############################
DATE /T >> %LogFile% 2>>&1
DATE /T
TIME /T >> %LogFile% 2>>&1
TIME /T

WHOAMI >> %LogFile% 2>>&1

color 5F

ECHO. >> %LogFile% 2>>&1
ECHO.
ECHO *** Scan des lecteurs . *** >> %LogFile% 2>>&1
ECHO *** Scan des lecteurs . ***
ECHO. >> %LogFile% 2>>&1
ECHO.

SET backupFilename=%DATE:~0,2%%DATE:~3,2%%DATE:~8,2%

:CheckOS
IF EXIST "%PROGRAMFILES(X86)%" (GOTO 64BIT) ELSE (GOTO 32BIT)

:64BIT
color 4F
ECHO. >> %LogFile% 2>>&1
ECHO.
ECHO *** Version 64-bit... *** >> %LogFile% 2>>&1
ECHO *** Version 64-bit... ***
ECHO. >> %LogFile% 2>>&1
ECHO.

TIME /T >> %LogFile% 2>>&1
TIME /T

TITLE SCAN

ECHO. >> %LogFile% 2>>&1
ECHO.

ECHO. >> %LogFile% 2>>&1
ECHO.
ECHO ****************************** >> %LogFile% 2>>&1
ECHO ******************************
ECHO Scan lecteur H: >> %LogFile% 2>>&1
ECHO Scan lecteur H:
ECHO ****************************** >> %LogFile% 2>>&1
ECHO ******************************
ECHO. >> %LogFile% 2>>&1
ECHO.

START /WAIT "TreeSize" "D:\Informatique\TreeSize.Professional.6.2.2\TreeSize Professional x64\Treesize.exe" /EMPTYRECYCLEBIN /DATE /XML "D:\Informatique\TreeSize.Professional.6.2.2\Scan\drive-H.xml" "H:"

TIME /T >> %LogFile% 2>>&1
TIME /T

ECHO. >> %LogFile% 2>>&1
ECHO.

ECHO. >> %LogFile% 2>>&1
ECHO.
ECHO ****************************** >> %LogFile% 2>>&1
ECHO ******************************
ECHO Scan lecteur I: >> %LogFile% 2>>&1
ECHO Scan lecteur I:
ECHO ****************************** >> %LogFile% 2>>&1
ECHO ******************************
ECHO. >> %LogFile% 2>>&1
ECHO.

START /WAIT "TreeSize" "D:\Informatique\TreeSize.Professional.6.2.2\TreeSize Professional x64\Treesize.exe" /EMPTYRECYCLEBIN /DATE /XML "D:\Informatique\TreeSize.Professional.6.2.2\Scan\drive-I.xml" "I:"

TIME /T >> %LogFile% 2>>&1
TIME /T

ECHO. >> %LogFile% 2>>&1
ECHO.

ECHO. >> %LogFile% 2>>&1
ECHO.
ECHO ****************************** >> %LogFile% 2>>&1
ECHO ******************************
ECHO Scan lecteur J: >> %LogFile% 2>>&1
ECHO Scan lecteur J:
ECHO ****************************** >> %LogFile% 2>>&1
ECHO ******************************
ECHO. >> %LogFile% 2>>&1
ECHO.

START /WAIT "TreeSize" "D:\Informatique\TreeSize.Professional.6.2.2\TreeSize Professional x64\Treesize.exe" /EMPTYRECYCLEBIN /DATE /XML "D:\Informatique\TreeSize.Professional.6.2.2\Scan\drive-J.xml" "J:"

TIME /T >> %LogFile% 2>>&1
TIME /T

ECHO. >> %LogFile% 2>>&1
ECHO.

GOTO END

:32BIT
color 4F
ECHO. >> %LogFile% 2>>&1
ECHO.
ECHO *** Version 64-bit... *** >> %LogFile% 2>>&1
ECHO *** Version 64-bit... ***
ECHO. >> %LogFile% 2>>&1
ECHO.

TIME /T >> %LogFile% 2>>&1
TIME /T

TITLE SCAN

ECHO. >> %LogFile% 2>>&1
ECHO.

ECHO. >> %LogFile% 2>>&1
ECHO.
ECHO ****************************** >> %LogFile% 2>>&1
ECHO ******************************
ECHO Scan lecteur H: >> %LogFile% 2>>&1
ECHO Scan lecteur H:
ECHO ****************************** >> %LogFile% 2>>&1
ECHO ******************************
ECHO. >> %LogFile% 2>>&1
ECHO.
START /WAIT "TreeSize" "D:\Informatique\TreeSize.Professional.6.2.2\TreeSize Professional x86\Treesize.exe" /EMPTYRECYCLEBIN /DATE /XML "D:\Informatique\TreeSize.Professional.6.2.2\Scan\drive-H.xml" "H:"

TIME /T >> %LogFile% 2>>&1
TIME /T

ECHO. >> %LogFile% 2>>&1
ECHO.

ECHO. >> %LogFile% 2>>&1
ECHO.
ECHO ****************************** >> %LogFile% 2>>&1
ECHO ******************************
ECHO Scan lecteur I: >> %LogFile% 2>>&1
ECHO Scan lecteur I:
ECHO ****************************** >> %LogFile% 2>>&1
ECHO ******************************
ECHO. >> %LogFile% 2>>&1
ECHO.

START /WAIT "TreeSize" "D:\Informatique\TreeSize.Professional.6.2.2\TreeSize Professional x86\Treesize.exe" /EMPTYRECYCLEBIN /DATE /XML "D:\Informatique\TreeSize.Professional.6.2.2\Scan\drive-I.xml" "I:"

TIME /T >> %LogFile% 2>>&1
TIME /T

ECHO. >> %LogFile% 2>>&1
ECHO.

ECHO. >> %LogFile% 2>>&1
ECHO.
ECHO ****************************** >> %LogFile% 2>>&1
ECHO ******************************
ECHO Scan lecteur J: >> %LogFile% 2>>&1
ECHO Scan lecteur J:
ECHO ****************************** >> %LogFile% 2>>&1
ECHO ******************************
ECHO. >> %LogFile% 2>>&1
ECHO.

START /WAIT "TreeSize" "D:\Informatique\TreeSize.Professional.6.2.2\TreeSize Professional x86\Treesize.exe" /EMPTYRECYCLEBIN /DATE /XML "D:\Informatique\TreeSize.Professional.6.2.2\Scan\drive-J.xml" "J:"

TIME /T >> %LogFile% 2>>&1
TIME /T

ECHO. >> %LogFile% 2>>&1
ECHO.

GOTO END

:END
color 4F
ECHO. >> %LogFile% 2>>&1
ECHO.
ECHO *** Creation snapshot... *** >> %LogFile% 2>>&1
ECHO *** Creation snapshot... ***
ECHO. >> %LogFile% 2>>&1
ECHO.

TIME /T >> %LogFile% 2>>&1
TIME /T

TITLE CREATESNAPSHOT

START /WAIT "TreeSize" "D:\Informatique\TreeSize.Professional.6.2.2\TreeSize Professional x86\Treesize.exe" /CREATESNAPSHOT "H:\" "I:\" "J:\"

TITLE SUCCESS

ECHO. >> %LogFile% 2>>&1
ECHO.
ECHO ****************************** >> %LogFile% 2>>&1
ECHO ******************************
ECHO Scan Successfull >> %LogFile% 2>>&1
ECHO Scan Successfull
ECHO ****************************** >> %LogFile% 2>>&1
ECHO ******************************
ECHO. >> %LogFile% 2>>&1
ECHO.

TIME /T >> %LogFile% 2>>&1
TIME /T
